/* BarcodeView */

#import <Cocoa/Cocoa.h>

@interface BarcodeView : NSView
{
    IBOutlet NSTextField *dataToEncode;
    IBOutlet NSButton *gs1;
    IBOutlet NSButton *humanReadableText;
    IBOutlet NSTextField *moduleHeight;
    IBOutlet NSTextField *moduleWidth;
}
- (void)setProperties;
- (IBAction)gs1:(id)sender;
- (IBAction)humanReadableText:(id)sender;
- (IBAction)refresh:(id)sender;
- (IBAction)reset:(id)sender;
- (IBAction)save:(id)sender;
- (NSImage*) imageFromCGImageRef:(CGImageRef)image;
@end
